Subject: bug#5597: Dired unable to properly recognize file names

From: Chong Yidong <[email-masked]>
Date: Sun, 21 Feb 2010 16:27:24 -0500

Glenn Morris <[email-masked]> writes:

> Stefan Monnier wrote:
>
>> I think it depends on whether your `ls' supports --dired.
>
> Indeed it fails if one sets dired-use-ls-dired to nil.

The trouble is that directory-listing-before-filename-regexp matches
that last possible string that looks like a date.  It has to do this
because, without knowing anything else about the locale, we can't
distinguish (say) user-names from month names.

However, when we are using the iso date format, it's possible to be
stricter, and I have changed the regexp accordingly.  This fixes the bug
for the current specific case.  Though I'm not sure how to fix it for,
say, files named "Aug  7 2009 foo".